---
# Traefik
- import_role:
    name: traefik
  tags:
    - traefik
    - proxy

# Keycloak
- import_role:
    name: keycloak
  tags:
    - keycloak
    - accounts

# Header
- import_role:
    name: rps_header
  tags:
    - rps_header
    - header
  when: rps_with_header

# Navigator
- import_role:
    name: rps_navigator
  tags:
    - rps_navigator
    - navigator
  when: rps_with_rps_navigator

# Website
- import_role:
    name: website
  tags:
    - website
  when: rps_with_website

# Chat
- import_role: 
    name: matrix
  tags:
    - matrix
    - chat
  when: rps_with_matrix

# Bookstack
- import_role:
    name: wiki_bookstack
  tags:
    - bookstack
    - wiki-bookstack
    - wiki
    - bookstack
  when: rps_with_bookstack

# Forgejo
- import_role: 
    name: forgejo
  tags: 
    - forgejo
    - gitea
    - code
  when: rps_with_forgejo

# Nextcloud
- import_role:
    name: nextcloud
  tags:
    - nextcloud
    - cloud
  when: rps_with_nextcloud

# Collabora
- import_role: 
    name: collabora
  tags: collabora
  when: rps_with_collabora

# Jupyter Hub
- import_role: 
    name: jupyter
  tags: jupyter
  when: rps_with_jupyter

# Coder
- import_role: 
    name: coder
  tags: coder
  when: rps_with_coder

- import_role: 
    name: onlyoffice
  tags:
    - onlyoffice
    - office
  when: rps_with_onlyoffice

# OpenProject
- import_role: 
    name: openproject
  tags:
    - openproject
  when: rps_with_openproject

# Admin Interface
- import_role:  
    name: rps_admin_interface
  tags:
    - rps_admin_interface
    - rps-admin-interface
    - admin_interface
    - admin-interface
  when: rps_with_rps_admin_interface

# Groups Interface
- import_role:  
    name: rps_groups_interface
  tags:
    - rps_groups_interface
    - rps-groups-interface
    - groups_interface
    - groups-interface
    - groups
  when: rps_with_rps_groups_interface

# Cohort Explorer
- import_role:  
    name: rps_cohort_explorer
  tags:
    - rps_cohort_explorer
    - rps-cohort-explorer
    - cohort_explorer
    - cohort-explorer
  when: rps_with_rps_cohort_explorer

# Discourse
- import_role:
    name: discourse
  tags:
    - discourse
    - forum
  when: rps_with_discourse

# Group application api
- import_role:
    name: rps_group_application_api
  tags:
    - rps_group_application_api
    - group_application_api
    - group-application-api
  when: rps_with_rps_group_application_api

# SQLpad
- import_role:
    name: sqlpad
  tags:
    - sqlpad
  when: rps_with_sqlpad

# Wiki JS
- import_role:
    name: wiki_js
  tags:
    - wiki_js
    - wiki-js
    - wikijs
  when: rps_with_wiki_js

# Maintenance
- import_role:
    name: maintenance
  tags:
    - maintenance
  when: rps_with_maintenance

# Alerta
- import_role:
    name: alerta
  tags:
    - alerta
  when: rps_with_alerta

- import_role:
    name: netdata
  tags:
    - netdata
  when: rps_with_netdata

- import_role:
    name: rps_version_check
  tags:
    - rps_version_check
    - version_check
  when: rps_with_rps_version_check
